Summary: Verification tool, checking Matroska & WebM files for spec conformance
Name: mkvalidator
%global upstream_name foundation-source
Version: 0.5.2
Release: 1%{?dist}
License: BSD
URL: https://www.matroska.org/downloads/%{name}.html
%global upstream_source_name %{upstream_name}-%{name}-%{version}
Source:	https://github.com/Matroska-Org/%{upstream_name}/archive/%{name}-%{version}.tar.gz#downloadsas=%{upstream_source_name}.tar.gz
BuildRequires: gcc-c++, libtool

%description
%{name} is a simple command line tool to verify Matroska and WebM files for spec conformance. It checks the various bogus or missing key elements against the EBML DocType version of the file and reports the errors/warnings in the command line.

It currently checks for missing mandatory element, EBML "junk" data (use of unknown IDs), bad track or cues (index) entries, and profile violation (like a v1 file using v2 features).

# coremake strips its executables, so making a debug package breaks the rpmbuild
%global debug_package %{nil}

%prep
%autosetup -n %{upstream_source_name}

%build
# 1/ To build these sources you first need to build coremake:
%global coremake_dir corec/tools/coremake
%make_build -s -C %{coremake_dir}
%global coremake %{coremake_dir}/coremake
# 2/ Generate the makefiles
%global system_output %{coremake_dir}/system_output.sh
[ -x "%{system_output}" ] || chmod a+x %{system_output}
%coremake `%{system_output}`
# 3a/ build the spec tools
%make_build -s -C spectool
# 3/ build the target
%make_build -s -C %{name}

%install
# the result executables will be in <root>/release/<system_output>
%__install -D -m 755 release/`%{system_output}`/%{name} %{buildroot}%{_bindir}/%{name}

%files
%{_bindir}/%{name}

%changelog
* Mon Aug 27 2018 Honore Doktorr <hdfssk@gmail.com> - 0.5.2-1
- Initial packaging
